config editors can crash if locale 'en_GB' misses
The configs use '.' as a decimal separator. The apps temporarily change the locale to en_GB in code sections that handle numbers with a decimal separator, to ensure numbers can only have '.' as a decimal separator. It is a mistake as this locale may not  be available. This definitely needs to be fixed.
I just tried GIMX 6.8 without the en_GB locale on my system. It makes gimx-config crash.